﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using System.Net;
using System.Net.Mail;

public partial class _Default : System.Web.UI.Page 
{
    /// <summary>
    /// E-mail Message class
    /// </summary>
    private MailMessage Mail = null;

    /// <summary>
    /// Network base authentication
    /// </summary>
    private NetworkCredential AuthInfo = null;

    /// <summary>
    /// SMTP Mail Sender
    /// </summary>
    private SmtpClient Smtp = null;

    /// <summary>
    /// Email address
    /// </summary>
    private string sMailFrom = "";

    /// <summary>
    /// smtp login id
    /// </summary>
    private string sLoginID = "";

    /// <summary>
    /// smtp login password
    /// </summary>
    private string sLoginPass = "";

    /// <summary>
    /// Default Page load script
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void Page_Load(object sender, EventArgs e)
    {
        sMailFrom = "sunyruru@gmail.com";
        sLoginID = "sunyruru";
        sLoginPass = "****";
    }

    /// <summary>
    /// Mail Send button event script
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnMailSend_Click(object sender, EventArgs e)
    {
        // Email message set
        Mail = new MailMessage(sMailFrom, txtMailTo.Text.Trim());
        Mail.Subject = txtSubject.Text;
        Mail.Body = txtContents.Text;


        // Authentication to SMTP Service
        AuthInfo = new NetworkCredential(sLoginID.Trim() + "@gmail.com", sLoginPass.Trim());

        // SMTP Sender
        Smtp = new SmtpClient();

        try
        {
            Smtp.Host = "smtp.google.com"; // SMTP Host
            Smtp.Port = 465; // SMTP Port
            Smtp.UseDefaultCredentials = false;
            Smtp.Credentials = AuthInfo;
            Smtp.EnableSsl = true; // Use SSL Secure connection

            Smtp.Send(Mail); // Send email message
        }
        catch (System.Net.Mail.SmtpFailedRecipientsException ex) { PrintError(ex.Message); }
        catch (System.Net.Mail.SmtpException ex) { PrintError(ex.Message); }
        catch (ObjectDisposedException ex) { PrintError(ex.Message); }
        catch (InvalidOperationException ex) { PrintError(ex.Message); }
        catch (ArgumentNullException ex) { PrintError(ex.Message); }
        catch (ArgumentOutOfRangeException ex) { PrintError(ex.Message); }
        catch (ArgumentException ex) { PrintError(ex.Message); }
        catch (Exception ex) { PrintError(ex.Message); }
    }

    /// <summary>
    /// Javascript error message popup
    /// </summary>
    /// <param name="ErrorMessage"></param>
    protected void PrintError(string ErrorMessage)
    {
        Response.Write("<script>\n");
        Response.Write("alert('" + ErrorMessage + "')");
        Response.Write("</script>\n");
    }
}
